Bug 1125357 - repo data is not in the location the document states
Summary: repo data is not in the location the document states
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Athene Chan
QA Contact: David O'Brien
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 15:59 UTC by Chris Roberts
Modified: 2018-12-06 17:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-10 17:26:27 UTC


Attachments (Terms of Use)

Description Chris Roberts 2014-07-31 15:59:47 UTC
Below is the info from this page section 4.1.3.

https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.0/html/Installation_Guide/chap-Populating_Red_Hat_Satellite_with_Content.html

The directory do not have any content. See next line of console code.

As you can see there is a packages directory but no distro directory.

[root@cas-dev-sat01a ~]# cd /var/lib/pulp/
[root@cas-dev-sat01a pulp]# ls
celery  content  init.flag  nodes  packages  published  static  uploads  working

In the packages there is no files what so ever.

[root@cas-dev-sat01a pulp]# ls
celery  content  init.flag  nodes  packages  published  static  uploads  working
[root@cas-dev-sat01a pulp]# ls packages/

The only directory that has something is the content folder.

4.1.3. Synchronizing Content from Source Repositories to Red Hat Satellite
Synchronization is the act of coordinating updates between the Red Hat Satellite repositories and the source repositories being used. It is a required step after enabling repositories, in order to populate the Red Hat Satellite with content from the source repositories.
Constant, scheduled synchronization will result in:

    Data integrity between packages
    Updated packages, security fixes, and errata 

Satellite's synchronization management capabilities allow organization administrators to create synchronization plans to configure how often a host should look for and install updates. Synchronization plans are then paired with the product repositories to come up with a synchronization schedule that will allow products to be updated at specific intervals that are convenient for the organization's network.
⁠

Table 4.1. Synchronization Directories
Directory
	
Permissions
	
SELinux Context
	
Description
/var/lib/pulp/packages 	apache:apache 0755 	system_u:object_r:httpd_sys_rw_content_t:s0 	Package location.
/var/lib/pulp/distributions 	apache:apache 0755 	system_u:object_r:httpd_sys_rw_content_t:s0 	Distribution content location including kickstart trees.

Comment 1 RHEL Product and Program Management 2014-07-31 16:14:15 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.


Note You need to log in before you can comment on or make changes to this bug.